import 'package:flutter_custom_toolbox/flutter_toolbox.dart';
import 'package:flutter/material.dart';

import 'package:random/models/game/game.dart';

part 'game_state.dart';

class GameCubit extends HydratedCubit<GameState> {
  GameCubit() : super(const GameState());

  void getData(GameState gameState) {
    emit(gameState);
  }

  void updateGameState(Game gameData) {
    emit(GameState(game: gameData));
  }

  @override
  GameState? fromJson(Map<String, dynamic> json) {
    Game game = json['game'] as Game;

    return GameState(
      game: game,
    );
  }

  @override
  Map<String, dynamic>? toJson(GameState state) {
    return <String, dynamic>{
      'game': state.game?.toJson(),
    };
  }
}
